Package tigase.vhosts

# Interface VHostItem

All Superinterfaces:
  `Comparable<VHostItem>`, `RepositoryItem`

All Known Implementing Classes:
  `VHostItemImpl`, `VHostItemImpl.VHostItemWrapper`

public interface VHostItem extends RepositoryItem, Comparable<VHostItem>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEF_VHOST_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default int`
  `compareTo(VHostItem o)`
  `int[]`
  `getC2SPortsAllowed()`
  `String[]`
  `getComps()`
  `<T> T`
  `getData(String key)`
  Deprecated.
  `DomainFilterPolicy`
  `getDomainFilter()`
  `String[]`
  `getDomainFilterDomains()`
  `<T extends VHostItemExtension>
  T`
  `getExtension(Class<T> clazz)`
  `Set<Class<? extends VHostItemExtension>>`
  `getExtensionClasses()`
  `<T extends VHostItemExtension>
  Set<T>`
  `getExtensions()`
  `Long`
  `getMaxUsersNumber()`
  `JID`
  `getMessageForward()`
  `default JID`
  `getMessageForwardAddress()`
  `String`
  `getOtherDomainParams()`
  `JID`
  `getPresenceForward()`
  `default JID`
  `getPresenceForwardAddress()`
  `String`
  `getS2sSecret()`
  `String[]`
  `getSaslAllowedMechanisms()`
  `Set<String>`
  `getTrustedJIDs()`
  `JID`
  `getVhost()`
  `default boolean`
  `isAdmin(String id)`
  The method checks whether the given id is one of the administrators set for the Item.
  `boolean`
  `isAnonymousEnabled()`
  `boolean`
  `isData(String key)`
  Deprecated.
  `boolean`
  `isEnabled()`
  `boolean`
  `isRegisterEnabled()`
  `boolean`
  `isTlsRequired()`
  `default boolean`
  `isTrustedJID(JID jid)`
  `void`
  `setKey(String domain)`

  ### Methods inherited from interface tigase.db.comp.RepositoryItem

  `addCommandFields, getAdmins, getKey, getOwner, initFromCommand, initFromElement, initFromPropertyString, isOwner, setAdmins, setOwner, toElement, toPropertyString`

- ## Field Details

  - ### DEF_VHOST_KEY

    static final String DEF_VHOST_KEY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### compareTo

    default int compareTo(VHostItem o)
    Specified by:
      `compareTo` in interface `Comparable<VHostItem>`

  - ### getComps

    String[] getComps()

  - ### getC2SPortsAllowed

    int[] getC2SPortsAllowed()

  - ### getData

    @Deprecated <T> T getData(String key)
    Deprecated.

  - ### getDomainFilter

    DomainFilterPolicy getDomainFilter()

  - ### getDomainFilterDomains

    String[] getDomainFilterDomains()

  - ### getExtension

    <T extends VHostItemExtension> T getExtension(Class<T> clazz)

  - ### getExtensions

    <T extends VHostItemExtension> Set<T> getExtensions()

  - ### getExtensionClasses

    Set<Class<? extends VHostItemExtension>> getExtensionClasses()

  - ### getMaxUsersNumber

    Long getMaxUsersNumber()

  - ### getMessageForward

    JID getMessageForward()

  - ### getMessageForwardAddress

    default JID getMessageForwardAddress()

  - ### getOtherDomainParams

    String getOtherDomainParams()

  - ### getPresenceForward

    JID getPresenceForward()

  - ### getPresenceForwardAddress

    default JID getPresenceForwardAddress()

  - ### getS2sSecret

    String getS2sSecret()

  - ### getTrustedJIDs

    Set<String> getTrustedJIDs()

  - ### getVhost

    JID getVhost()

  - ### setKey

    void setKey(String domain)

  - ### isAdmin

    default boolean isAdmin(String id)
    Description copied from interface: `RepositoryItem`
    The method checks whether the given id is one of the administrators set for the Item.
    Specified by:
      `isAdmin` in interface `RepositoryItem`
    Parameters:
      `id` - is an ID of a person for which we check access permissions.
    Returns:
      true of the given ID is on a list of administrators and false otherwise.

  - ### isAnonymousEnabled

    boolean isAnonymousEnabled()

  - ### isData

    @Deprecated boolean isData(String key)
    Deprecated.

  - ### isEnabled

    boolean isEnabled()

  - ### isRegisterEnabled

    boolean isRegisterEnabled()

  - ### isTlsRequired

    boolean isTlsRequired()

  - ### isTrustedJID

    default boolean isTrustedJID(JID jid)

  - ### getSaslAllowedMechanisms

    String[] getSaslAllowedMechanisms()